# Class AwtModelKitPopup

java.lang.Object
org.jmol.popup.GenericPopup
org.jmol.popup.JmolGenericPopup
org.jmol.modelkit.ModelKitPopup
org.jmol.awt.AwtModelKitPopup

All Implemented Interfaces:
  `GenericMenuInterface`

public class AwtModelKitPopup extends ModelKitPopup

## Field Summary

### Fields inherited from class ModelKitPopup

`bondRotationCheckBox, prevBondCheckBox`

### Fields inherited from class JmolGenericPopup

`frankPopup, menuText, nFrankList, vwr`

### Fields inherited from class GenericPopup

`allowSignedFeatures, buttonGroup, currentMenuItemId, helper, htCheckbox, htMenus, isApplet, isJS, isSigned, isTainted, isWebGL, menuName, popupMenu, strMenuStructure, thisPopup, thisx, thisy, updatingForShow`

## Constructor Summary

Constructors
Constructor
Description
`AwtModelKitPopup()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addMenu(String id, String item, SC subMenu, String label, PopupResource popupResourceBundle)`
`protected void`
`exitBondRotation()`
`protected Object`
`getImageIcon(String fileName)`
`protected void`
`menuHidePopup(SC popup)`
`protected void`
`menuShowPopup(SC popup, int x, int y)`
`protected void`
`updateAwtMenus(String item)`

### Methods inherited from class ModelKitPopup

`appGetBooleanProperty, appRunSpecialCheckBox, appUpdateForShow, appUpdateSpecialCheckBoxValue, clearLastModelSet, getBundle, getScriptForCallback, getUnknownCheckBoxScriptToRun, jpiShow, jpiUpdateComputedMenus, menuClickCallback, menuFocusCallback, setActiveMenu, updateAllXtalMenuOptions, updateCheckBoxesForModelKit, updateOperatorMenu`

### Methods inherited from class JmolGenericPopup

`appFixLabel, appRestorePopupMenu, appRunScript, initialize, jpiDispose, jpiGetMenuAsObject, jpiInitialize, showFrankMenu`

### Methods inherited from class GenericPopup

`addMenuItem, addMenuItems, appCheckItem, appCheckSpecialMenu, appGetMenuAsString, convertToMegabytes, doMenuCheckBoxCallback, doMenuClickCallback, getEntryIcon, initSwing, jpiGetMenuAsString, menuAddSeparator, menuAddSubMenu, menuCheckBoxCallback, menuCreateCheckboxItem, menuCreateItem, menuEnable, menuGetId, menuGetListPosition, menuNewSubMenu, menuRemoveAll, menuSetAutoscrolls, menuSetLabel, setText, show, updateButton, updateSignedAppletItems`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AwtModelKitPopup

public AwtModelKitPopup()

## Method Details

### addMenu

protected void addMenu(String id, String item, SC subMenu, String label, PopupResource popupResourceBundle)

Overrides:
  `addMenu` in class `GenericPopup`

### updateAwtMenus

protected void updateAwtMenus(String item)

### menuShowPopup

protected void menuShowPopup(SC popup, int x, int y)

Specified by:
  `menuShowPopup` in class `GenericPopup`

### menuHidePopup

protected void menuHidePopup(SC popup)

Specified by:
  `menuHidePopup` in class `ModelKitPopup`

### exitBondRotation

protected void exitBondRotation()

Overrides:
  `exitBondRotation` in class `ModelKitPopup`

### getImageIcon

protected Object getImageIcon(String fileName)

Specified by:
  `getImageIcon` in class `GenericPopup`